group "PartialExercise.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
notionalReference*, integralMultipleAmount?, (minimumNotionalAmount | minimumNumberOfOptions)

Content Model Elements (4):

  integralMultipleAmount,
  minimumNotionalAmount (defined in PartialExercise.model group),
  minimumNumberOfOptions (defined in PartialExercise.model group),
  notionalReference (defined in PartialExercise.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  MultipleExercise, PartialExercise

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="PartialExercise.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notionalReference" type="NotionalReference"/> <xsd:element minOccurs="0" name="integralMultipleAmount" type="xsd:decimal"/> <xsd:choice> <xsd:element name="minimumNotionalAmount" type="xsd:decimal"/> <xsd:element name="minimumNumberOfOptions" type="xsd:nonNegativeInteger"/> </xsd:choice> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
integralMultipleAmount

  Type: | xsd:decimal, predefined, simple content

  A notional amount which restricts the amount of notional that can be exercised when partial exercise or multiple exercise is applicable. The integral multiple amount defines a lower limit of notional that can be exercised and also defines a unit multiple of notional that can be exercised, i.e. only integer multiples of this amount can be exercised.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="integralMultipleAmount" type="xsd:decimal"/>

minimumNotionalAmount

  Type: | xsd:decimal, predefined, simple content

  The minimum notional amount that can be exercised on a given exercise date. See multipleExercise.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="minimumNotionalAmount" type="xsd:decimal"/>

minimumNumberOfOptions

  Type: | xsd:nonNegativeInteger, predefined, simple content

  The minimum number of options that can be exercised on a given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="minimumNumberOfOptions" type="xsd:nonNegativeInteger"/>

notionalReference

  Type: | NotionalReference, empty content

  A pointer style reference to the associated notional schedule defined elsewhere in the document. This element has been made optional as part of its integration in the OptionBaseExtended, because not required for the options on securities.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="notionalReference" type="NotionalReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.